Intereting Posts

Неровность сосудов! Исправьте свои зависимости при использовании appcompat_v7 и Facebook sdk.

Я использую в своем проекте библиотеку appcompat_v7 и facebook sdk, и в обеих библиотеках есть поддержка android-v4.jar. Если я удалю любую банку, соответствующая библиотека не будет работать, и обе банки не будут разрешены.

Что мне делать? Пожалуйста, помогите мне …

Конфликт обусловлен разными версиями банки.

Убедитесь, что у вас есть библиотека поддержки обновлений от менеджера Android sdk

Скопируйте android-support-v4.jar в libs обоих проектов. Банку можно найти @

 android-sdk/extras/android/support/v4/andorid-support-v4.jar 

Очистите и создайте свой проект

Удалить android-support-v4.jar из FACEBOOK SDK и добавить android-support-v4.jar в качестве внешнего jar facebookSDK свойства -> путь сборки Java -> библиотеки -> добавить внешний баннер (я удалил эту проблему, как это)

Попробуйте удалить библиотеку зависимостей из appcompat_v7 и вашего проекта. Для этого нужно построить путь path => configure build. Затем выберите библиотеку зависимостей и нажмите «Удалить». Добавьте библиотеку поддержки в Android Tools => добавить библиотеку поддержки. Сделайте это с обоими проектами. Тогда вам хорошо идти

Это действительно просто

Просто щелкните правой кнопкой мыши по вашему проекту, а также по проекту библиотеки> инструменты для Android> Добавить библиотеку поддержки.

Это обновит вашу библиотеку поддержки до последней версии, которая решит проблему.

Этот вопрос задается много раз, в то время как все начинают разработку Android в процессе обучения. Я думаю, что у всех одинаковая среда Android, но они конфигурируются по-разному в соответствии с проектами.

У меня была такая же проблема при создании нового проекта каждый раз, и я нашел решение ниже. Я добавил библиотеку appcompat_v7 в проект и удалил jar android-support-v4.jar из папки lib моего нового проекта и миг ERROR исчез. Добавить appcompt_v7 библиотеки appcompt_v7 Добавьте проект библиотеки <code> appcompt_v7 </ code>

Удалите android-support-v4.jar из папки проекта lib Удалите android-support-v4.jar из папки проекта lib

Ошибка Wow Ошибка Wow

Лучший способ исправить эту проблему – это искать оба пути файла jar. Если у вас есть «appcompact folder» в вашем eclipse, загляните в папку libs. В папке libs есть jar files.So, лучше удалить файлы jar из папки вашего приложения. Тогда во время компиляции он будет принимать банки из «appcompact folder». Не храните банки в папке вашего приложения, что приводит к ошибке «Ошибка несоответствия Jar». Ошибка указана ниже:

В списке зависимостей было найдено 2 версии android-support-v4.jar. Все версии библиотек в это время должны быть одинаковыми.

Путь: /home/vinny/workspace/appcompat_v7/libs/android-support-v4.jar (держите эту банку как есть)

Путь: /home/vinny/Downloads/Demo/libs/android-support-v4.jar(Удалить эту банку)

Неровность сосудов! Исправьте свои зависимости

Примечание. Удалите банки с этого пути «Путь: /home/vinny/Downloads/Demo/libs/android-support-v4.jar» T (путь к папке приложения)

Сафдар Акрами прав, но и сделать это на проекте facebook SDK!

Просто щелкните правой кнопкой мыши по вашему проекту, а также по проекту библиотеки> инструменты для Android> Добавить библиотеку поддержки.

Это обновит вашу библиотеку поддержки до последней версии, которая решит проблему.

Если у вас есть проблемы с другими проектами, которые зависят от проекта SDK от facebook, вы можете установить такой способ:

  1. Исправить настройку проекта
  2. Добавьте проект «appcompat_v7», чтобы построить путь FriendpickerSample, например

Попробуйте удалить библиотеку зависимостей из appcompat_v7 и вашего проекта. Для этого нужно построить путь path => configure build. Затем выберите библиотеку зависимостей и нажмите «Удалить». Добавьте библиотеку поддержки в Android Tools => добавить библиотеку поддержки. Сделайте это с обоими проектами. Тогда вам хорошо идти